MetaSoul

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
UESMessageConvert Class Reference

`#include <ESMessageConvert.h>`

Inheritance diagram for UESMessageConvert:

## Static Public Member Functions
static TSharedPtr< FJsonValue > | ToJsonValue (const emoshapeio::message::ptr &Message)
static emoshapeio::message::ptr | ToSIOMessage (const TSharedPtr< FJsonValue > &JsonValue)
static std::string | StdString (FString UEString)
static FString | FStringFromStd (std::string StdString)
static std::map< std::string, std::string > | JsonObjectToStdStringMap (TSharedPtr< FJsonObject > InObject)
static TMap< FString, FString > | JsonObjectToFStringMap (TSharedPtr< FJsonObject > InObject)
static std::map< std::string, std::string > | FStringMapToStdStringMap (const TMap< FString, FString > &InMap)

## Member Function Documentation

## ◆ FStringFromStd()

FString UESMessageConvert::FStringFromStd | ( | std::string | StdString | ) |
| static

## ◆ FStringMapToStdStringMap()

std::map< std::string, std::string > UESMessageConvert::FStringMapToStdStringMap | ( | const TMap< FString, FString > & | InMap | ) |
| static

## ◆ JsonObjectToFStringMap()

TMap< FString, FString > UESMessageConvert::JsonObjectToFStringMap | ( | TSharedPtr< FJsonObject > | InObject | ) |
| static

## ◆ JsonObjectToStdStringMap()

std::map< std::string, std::string > UESMessageConvert::JsonObjectToStdStringMap | ( | TSharedPtr< FJsonObject > | InObject | ) |
| static

## ◆ StdString()

std::string UESMessageConvert::StdString | ( | FString | UEString | ) |
| static

## ◆ ToJsonValue()

TSharedPtr< FJsonValue > UESMessageConvert::ToJsonValue | ( | const emoshapeio::message::ptr & | Message | ) |
| static

## ◆ ToSIOMessage()

emoshapeio::message::ptr UESMessageConvert::ToSIOMessage | ( | const TSharedPtr< FJsonValue > & | JsonValue | ) |
| static

The documentation for this class was generated from the following files:

- EmoShapeIOClient/Public/ESMessageConvert.h
- EmoShapeIOClient/Private/ESMessageConvert.cpp